FIND_KEY_BY_TYPE_AND_NAME(3)

NAME
find_key_by_type_and_name - find a key by type and name

SYNOPSIS
#include <keyutils.h>

key_serial_t find_key_by_type_and_name(const char *type,
    const char *description, key_serial_t destringid);

DESCRIPTION
find_key_by_type_and_name() searches for a key with the given type and exact description, firstly in the thread, process and session keyrings to which a process is subscribed and secondly in /proc/keys.

If a key is found, and destringid is not 0 and specifies a keyring, then the found key will be linked into it.

RETURN VALUE
The function returns the ID of the key if a key was found or -1 otherwise.

ERRORS

ENOKEY
    No key was found or the keyring specified is invalid.

EKEYEXPIRED
    The key or keyring have expired.

EKEYREVOKED
    The key or keyring have been revoked.

EACCES
    The key is not accessible or keyring exists, but is not writable by the calling process.

LINKING
When linking, -lkeyutils should be specified to the linker.

SEE ALSO
request_key(2), keyctl(3), keyrings(7)